#!/bin/sh
# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

set -e

uvoxen uv run

for pyver in $(uvoxen list pythons); do
	uvoxen -p "$pyver" uv run -e ty,mypy,unit-tests,functional
done

uv sync --exact
